package mmail

import (
	"github.com/tech/sendico/notification/interface/api/localizer"
	"github.com/tech/sendico/pkg/domainprovider"
)

type Message interface {
	AccountID() string
	TemplateID() string
	Locale() string
	Recipients() []string
	Parameters() map[string]any
	Body(l localizer.Localizer, dp domainprovider.DomainProvider) (string, error)
}
